Bug 74947 - Ability to install into non-existing clusters
Ability to install into non-existing clusters
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
5.x
All All
: P2 (vote)
: 6.x
Assigned To: Jaroslav Tulach
issues@platform
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-12 15:48 UTC by Jiri Rechtacek
Modified: 2008-12-22 21:41 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
I am adding all clusters including those that does not exists (587 bytes, patch)
2006-04-12 20:37 UTC, Jaroslav Tulach
Details | Diff
API between autoupdate and ide/updatecenters to allow extensibility of list of clusters (25.17 KB, patch)
2006-11-24 16:51 UTC, Jaroslav Tulach
Details | Diff
Commit log (4.70 KB, text/plain)
2006-12-01 12:00 UTC, Jaroslav Tulach
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Rechtacek 2006-04-12 15:48:01 UTC
netbeans launcher filters cluster which doesn't exist in the startup time. The
launcher should transmit all declared by relative path. Makes problems in
Autoupdate to handle correctly target clusters declared in NBM header.
Comment 1 Jaroslav Tulach 2006-04-12 20:37:52 UTC
Created attachment 29817 [details]
I am adding all clusters including those that does not exists
Comment 2 Jaroslav Tulach 2006-04-12 20:39:09 UTC
I have a patch that always adds the cluster. If it contains / it treats it as 
a fullpath, otherwise it prepends $progdir/../

Honzo, would such a change be possible also in the windows launcher?
Comment 3 Jan Chalupa 2006-04-12 21:11:26 UTC
Perhaps. But I won't have time to work on it in the next two weeks. If you can
provide a patch, I can build it, but that's about it.
Comment 4 Antonin Nebuzelsky 2006-06-20 13:37:57 UTC
Reassigning to Radim, new owner of the launcher.
Comment 5 _ rkubacki 2006-06-29 18:00:34 UTC
There is no cluster filtering in Windows launchers (netbeans.cpp & app.cpp). All
read values are passed without modification for further processing. Passing back
to Yarda so he can commit his change.
Comment 6 Jaroslav Tulach 2006-07-10 13:25:03 UTC
/shared/data/ccvs/repository/ide/launcher/unix/netbeans,v  <--  netbeans
new revision: 1.37; previous revision: 1.36

Fixed for unix launchers. I'll trust Radim that windows ones really correctly 
interpret non-existing relative clusters.
Comment 7 Jesse Glick 2006-10-26 16:13:22 UTC
Was reverted in trunk (1.40) due to other problems it caused, though I am
unconvinced that the issue should be fixed at all. Sounds rather like a bug in
AU that it is unable to create clusters.
Comment 8 Jaroslav Tulach 2006-11-24 16:49:35 UTC
Ok, here is the great vision by Jesse and me:

> Jaroslav Tulach wrote:
> > Autoupdate itself cannot append anything to cluster.conf file as it
> > is supposed to not know about that. The cluster.conf is IDE thing,
> > while autoupdate is platform application. You need an API to allow
> > ide/updatecenters to plug into autoupdate.
>
> Makes sense, but
>
> > The NBM has a cluster that the launcher knows how to launch, but it
> > does not exist yet. Like profiler or mobility when you download base
> > NetBeans.
>
> I thought we wanted to use AU to create clusters that are not known in
> advance. Then we could delete the nonexistent cluster names from
> netbeans.clusters. And we could update not just Mobility and Profiler,
> but Collaboration, Visual Web Pack, UML, .... from a regular update
> center without having to enumerate them all when we cut the IDE build.

This is a great vision. I like it. But it will need a bit more work. A bit 
from Jirka R. and a bit on the ide/updatecenters side.

> > Of course the API between launcher and autoupdate is a better,
> > however more complicated, solution.
>
> Seems to me that any solution that means we have to forever hardcode
> cluster names we do not ship, and cannot handle clusters that were
> created after the IDE shipped, is broken and should not even be
> considered - if we are taking the time to try to solve anything.
>
> I don't see how complicated the API can be. Put in Lookup an impl of
>
Comment 9 Jaroslav Tulach 2006-11-24 16:51:10 UTC
Created attachment 36276 [details]
API between autoupdate and ide/updatecenters to allow extensibility of list of clusters
Comment 10 Jaroslav Tulach 2006-11-24 16:57:44 UTC
I believe this change allows us to simplify launcher a bit and address Jesse's 
objection against the handling of non-existing clusters. Moreover it gives us 
long desired functionality we need - e.g. create new clusters thru autoupdate. 
Reviewers please review, I'd like Jirka R. to help me integrate this at the 
end of next week.
Comment 11 Jesse Glick 2006-11-28 00:24:44 UTC
Looks fine to me.


os.write("\n".getBytes()) => os.write('\n')
Comment 12 Jaroslav Tulach 2006-12-01 10:39:10 UTC
Thanks for your comments, I'll integrate the change.
Comment 13 Jaroslav Tulach 2006-12-01 11:58:46 UTC
#74947: Introducing an API for communication between autoupdate and launcher 
that handles etc/netbeans.clusters

Comment 14 Jaroslav Tulach 2006-12-01 12:00:36 UTC
Created attachment 36421 [details]
Commit log


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo